Arch Mur

From FreeCAD Documentation
Revision as of 09:27, 24 February 2014 by Mario52 (talk | contribs)

Architecture Mur Wall

Emplacement du menu
Arch → Wall
Ateliers
Arch
Raccourci par défaut
W A
Introduit dans la version
-
Voir aussi
Arch Structure

Description

Cet outil crée un objet mur à partir de zéro ou sur la base de n'importe quel objet shape ou sur la base de n'importe quel objet mesh. Un mur peut être construit sans objet de base, il se comportera alors comme un volume cubique, il sera construit à l'aide des propriétés de longueur, largeur et hauteur. Lorsque qu'il est construit sur une forme existante, le mur peut être basé sur :

  • Un objet linéaire 2D, tel que ligne, fil, arc ou croquis, dans ce cas, vous pouvez modifier l'épaisseur, l'alignement (droite, gauche ou centré) et la hauteur.
  • Un face plane, dans ce cas, vous ne pouvez pas changer la hauteur.
  • Un solide, dans ce cas, vous ne pouvez rien changer.
  • Un mesh, dans ce cas, le maillage sous-jacent doit être un solide fermé non multiples.

L'exemple ci-dessus montre les murs en cours de construction au-dessus d'une ligne, un fil, une face, un solide, et, un croquis.

Les murs peuvent aussi avoir des ajouts ou des soustractions. Les ajouts sont d'autres objets dont les formes sont jointes aux formes du mur, tandis que les soustractions sont soustraites. L'Ajout, et, la soustraction peuvent être exécutés grâce aux outils text-top=Arch_Add Ajouter, et, text-top=Arch_Remove Supprimer. Les additions, et, les soustractions n'ont aucune influence sur les paramètres de mur, comme la hauteur, et, la largeur, et, ce qui peut être encore modifié. Les murs peuvent aussi avoir une hauteur automatique, si elles sont incluses dans un objet de niveau supérieur tels que les text-top=Arch_Cell cellules ou les text-top=Arch_Floor planchers. La hauteur doit être maintenue à 0, puis le mur doit adopter la hauteur spécifiée dans l'objet parent.

Lorsque plusieurs murs doivent se croiser, vous devez les placer dans une text-top=Arch_Cell cellule ou un text-top=Arch_Floor sol, et, avoir leurs géométries entre coupées.

Utilisation

Dessiner un mur au niveau désiré

  1. Press the Arch Wall button, or press W then A keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click a second point on the 3D view, or type a coordinate

Drawing a wall on top of a selected object

  1. Select one or more base geometry objects (Draft object, sketch, etc)
  2. Press the Arch Wall button, or press the W then A keys
  3. Adjust needed properties such as height or width.

Options

  • The height, width and alignment of a wall can be set during drawing, via the task panel
  • When snapping a wall to an existing wall, both walls will be joined into one. The way the two walls are joined depends on their properties: If they have the same width, height and alignment, and if the option "join base sketches" is enabled in the Arch preferences, the resulting wall will be one object based on a sketch made of several segments. Otherwise, the latter wall will be added to the first one as addition.
  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press ESC or the Cancel button to abort the current command.
  • Double-clicking on the wall in the tree view after it is created allows you to enter edit mode and access and modify its additions and subtractions
  • Multi-layer walls can be easily created by building several walls from the same baseline. By setting their Align property to either left or right, and specifying an Offset value, you can effectively construct several wall layers. Placing a window in such a wall layer will propagate the opening to the other wall layers based on the same baseline.

Snapping

La fonction accrochage (snapping) pour Arch walls est un peu différente qu'avec Arch et les autres objets Draft. Si un mur a un objet de base, l'accrochage se fait sur l'objet de base, au lieu de la géométrie du mur, ce qui permet d'aligner facilement le mur sur sa ligne de base. Si, toutefois, vous voulez spécifiquement que l'alignement se fasse sur la géométrie du mur, appuyez sur la touche CTRL et l'accrochage se fera sur le mur.

Properties

Wall objects inherit the properties of Part objects, and also have the following extra properties:

  • DonnéesAlign: The alignment of the wall on its baseline: Left, right or center
  • DonnéesBase: The base object this wall is built on
  • DonnéesFace: The index of the face from the base object to use. If the vaue is not set or 0, the whole object is used
  • DonnéesForce Wire: If True, and the wall is based on a face, only the border wire of the face is used, resulting in a wall bordering the face
  • DonnéesLength: The length of the wall (not used when the wall is based on an object)
  • DonnéesWidth: The width of the wall (not used when the wall is based on a face)
  • DonnéesHeight: The height of the wall (not used when the wall is based on a solid). If no height is given, and the wall is inside a floor object with its height defined, the wall will automatically take the value of the floor height.
  • DonnéesNormal: An extrusion direction for the wall. If set to (0,0,0), the extrusion direction is automatic.
  • DonnéesOffset: This specifies the distance between the wall and its baseline. Works only if the Align property is set to Right or Left.

Scripting

L'outil text-top=Wall mur peut servir dans une macros, et, à partir de la console Python en utilisant la fonction suivante :

 makeWall ( [obj],[length],[width],[height],[align],[face],[name] )
  • Crée un mur basé sur l'objet donné, qui peut être une esquisse, un objet, une face ou un solide. Align peut être placé au Centre à Gauche ou à Droite. Si vous ne sélectionnez aucun objet de base, vous pouvez utiliser des valeurs numériques pour Length, Width et Height. Une face peut être utilisée pour donner la base de construction, pour y construire le mur, au lieu d'utiliser l'objet entier.
  • Retourne le mur créé, ou None si l'opération a échoué.

Exemple:

 import FreeCAD, Draft, Arch
 baseline = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
 Arch.makeWall(baseline,None,0.1,2)